<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!-- IGAC proyecto SNC 

@author: javier.aponte 									
@description Pantalla de la actividad corespondiente a registrar datos de productos solicitados 
@version 1.0
@cu CU-TV-PR-002
@author javier.aponte
@modified by leidy.gonzalez Se aumenta el tamaño del dialogo 
Cantidad registros prediales a ser visualizado.
@modified by leidy.gonzalez 30/07/2014 Se elimina el dialogo Cantidad registros prediales
para ser visualizado por menú por solicitud del usuario.

-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:productos="http://java.sun.com/jsf/composite/productos"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                template="/templates/generalCU.xhtml">

    <ui:define name="content">
        <p:messages id="msgsRegistrarDatosPS" showDetail="false"
                    globalOnly="false" />
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" />

        <p:spacer height="30" width="0" />

        <p:fieldset toggleable="true" toggleSpeed="500">

            <legend> 
                <h:outputLabel value="Registrar datos productos solicitados" styleClass="legendTitle" /> 
            </legend>

            <productos:productoCatastralResumen id="pcResumen"
                                                selectedSolicitudParam="#{registroDatosPS.solicitudSeleccionada}"
                                                documentosSoportesParam="#{registroDatosPS.documentosSoportesPC}" />

            <h:form prependId="false" id="registrarDatosPSForm">

                <h:panelGrid rendered="#{!registroDatosPS.banderaNoExisteProductoCatastralAsociado}" width="100%">

                    <p:fieldset toggleable="true" toggleSpeed="500"
                                rendered="#{registroDatosPS.aviso ne null and registroDatosPS.aviso ne ''}"
                                id="avisoFS">
                        <legend>
                            <h:outputText value="#{registroDatosPS.aviso}"
                                          styleClass="legendTitle" />
                        </legend>

                    </p:fieldset>	

                    <p:spacer height="10" width="0"/>

                    <p:fieldset toggleable="true" toggleSpeed="500"
                                id="productosAsociadosASolicitudFS">
                        <legend>
                            <h:outputText value="Productos asociados a la solicitud"
                                          styleClass="legendTitle" />
                        </legend>

                        <h:panelGrid columns="1" width="100%">

                            <p:dataTable id="tblDatosProductosAsociados" var="productoCatastralAsociado"
                                         rowKey="#{productoCatastralAsociado.id}"
                                         selection="#{registroDatosPS.productoCatastralSeleccionado}"
                                         selectionMode="single"
                                         emptyMessage="No se han adicionado productos a la solicitud"
                                         paginator="true" rows="10"
                                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                         paginatorPosition="bottom" rowsPerPageTemplate="5,10,15"
                                         value="#{registroDatosPS.productosCatastralesAsociados}">

                                <p:ajax event="rowSelect" onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                                        listener="#{registroDatosPS.llamarPantallaConsultaDatos}"
                                        update=":registrarDatosPSForm"/>

                                <p:ajax event="rowUnselect" onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                                        listener="#{registroDatosPS.eliminarLlamadoPantallaConsultaDatos}"
                                        update=":registrarDatosPSForm"/>

                                <f:facet name="header">
                                    Productos asociados a la solicitud
                                </f:facet>

                                <p:column headerText="Código">
                                    <h:outputText value="#{productoCatastralAsociado.producto.codigo}" />
                                </p:column>

                                <p:column headerText="Descripción">
                                    <h:outputText value="#{productoCatastralAsociado.producto.nombre}" />
                                </p:column>

                                <p:column headerText="Cantidad">
                                    <h:outputText value="#{productoCatastralAsociado.cantidad}" />
                                </p:column>

                                <p:column headerText="Producto a generar" 
                                          rendered="#{registroDatosPS.vieneDeIngresarSolicitudDeProductos}">
                                    <h:outputText value="#{productoCatastralAsociado.productoGenerar}" />
                                </p:column>

                                <p:column headerText="Revision aprobada" 
                                          rendered="#{registroDatosPS.vieneDeRevisarProductosGenerados}">
                                    <h:outputText value="#{productoCatastralAsociado.revisionAprobada}" />
                                </p:column>

                                <p:column headerText="Registra inconformidad" 
                                          rendered="#{registroDatosPS.vieneDeRegistrarCorreccionesAProductosEntregados}">
                                    <h:outputText value="#{productoCatastralAsociado.registraInconformidad}" />
                                </p:column>				

                            </p:dataTable>

                            <p:spacer height="10" width="0"/>

                            <p:commandButton value="Ingresar / modificar datos de producto"
                                             id = "botonIngresarModificarDatos"
                                             title="Ingresar / modificar datos de producto"
                                             action="#{registroDatosPS.ingresarModificarDatosDeProductos}"
                                             onstart="statusDialog2.show();" 
                                             oncomplete="statusDialog2.hide();#{registroDatosPS.nombrePantalla}.show();"
                                             update="#{registroDatosPS.nombreFormularioPantalla}"
                                             rendered="#{registroDatosPS.activarBotonIngresarModificarDatosP}"
                                             icon="ui-icon-seek-save"
                                             process="@this"/>

                        </h:panelGrid>

                    </p:fieldset>

                    <p:spacer height="10" width="0"/>

                    <h:panelGrid columns="3">

                        <p:commandButton value="Revisar información de productos a generar"
                                         ajax="false" title="Revisar información de productos a generar"
                                         action="#{registroDatosPS.avanzarProcesoARevisarInformacionProductosAGenerar}"
                                         rendered="#{registroDatosPS.activarRevisarInformacionProductosAGenerar}"
                                         icon="ui-icon-seek-next"/>

                        <p:spacer height="0" width="20"/>

                        <p:commandButton value="Ajustar solicitud de producto"
                                         ajax="false" title="Ajustar solicitud de producto"
                                         action="#{registroDatosPS.avanzarProcesoAIngresarSolicitudProductos}"
                                         rendered="#{registroDatosPS.activarBotonEnviarAAjustesSolicitudProducto}"
                                         icon="ui-icon-seek-next"/>

                    </h:panelGrid>

                    <p:spacer height="30" width="0" />

                    <p:separator style="width:90%;height:3px" />
                    <p:spacer height="7" width="0" />
                    <p:outputPanel layout="block" style="text-align:right">
                        <p:commandButton value="Cerrar" 
                                         icon="ui-icon-circle-close" immediate="true" process="@this"
                                         action="#{registroDatosPS.cerrarPaginaPrincipal}"
                                         ajax="false" />
                        <p:spacer height="0" width="30" />
                    </p:outputPanel>

                </h:panelGrid>

                <h:panelGrid rendered="#{registroDatosPS.banderaNoExisteProductoCatastralAsociado}">

                    <h:outputText value="Ocurrió un error al guardar el producto catastral de la solicitud, por favor vuelva a ingresar los datos de la solicitud de producto"
                                  styleClass="legendTitle" />
                    <p:commandButton value="Ajustar solicitud de producto"
                                     ajax="false" title="Ajustar solicitud de producto"
                                     action="#{registroDatosPS.avanzarProcesoAIngresarSolicitudProductos}"
                                     icon="ui-icon-seek-next"/>

                </h:panelGrid>

            </h:form>
        </p:fieldset>

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true" noAction="#{previsualizacionDocumento.cerrarVistaPreliminarDocumento}"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />	


        <p:dialog header="Detalle de la solicitud" dynamic="true"
                  widgetVar="detalleSolicitudWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include
                src="/conservacion/ejecucion/detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{registroDatosPS.solicitudSeleccionada}" />
                <ui:param name="tramiteResumenID"
                          value="#{null}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Registros prediales" widgetVar="registrosPredialesWV"
                  dynamic="true" modal="true" appendToBody="true" resizable="true"
                  position="center" height="360" width="720" closable="false">
            <ui:include src="registrosPrediales.xhtml" >
                <ui:param name="managedBeanParam" value="#{registroDatosPS}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Resoluciones" widgetVar="resolucionesWV"
                  dynamic="true" modal="true" appendToBody="true" resizable="true"
                  position="center" height="480" width="880" closable="false">
            <ui:include src="resolucionesDeConservacion.xhtml" >
                <ui:param name="managedBeanParam" value="#{registroDatosPS}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Consultar por datos predio" widgetVar="consultarPorDatosPredioWV"
                  dynamic="true" modal="true" appendToBody="true" resizable="true"
                  position="center" height="500" width="880" closable="false">
            <ui:include src="consultaPorDatosPredio.xhtml" >
                <ui:param name="managedBeanParam" value="#{registroDatosPS}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Consultar por datos persona" widgetVar="consultarPorDatosPersonaWV"
                  dynamic="true" modal="true" appendToBody="true" resizable="true"
                  position="center" height="480" width="880" closable="false">
            <ui:include src="consultaPorDatosPersona.xhtml" >
                <ui:param name="managedBeanParam" value="#{registroDatosPS}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Registrar inconsistencias" widgetVar="registrarInconsistenciasWV"
                  id="registrarInconsistencias"
                  dynamic="true" modal="true" appendToBody="true" resizable="true"
                  position="center" height="480" width="640">
            <ui:include src="registrarInconsistencias.xhtml" >
                <ui:param name="managedBeanParam" value="#{registroDatosPS}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Descripción trámite catastral" widgetVar="descripcionTramiteCatastralWV"
                  dynamic="true" modal="true" appendToBody="true" resizable="true"
                  position="center" height="320" width="480">
            <ui:include src="descripcionTramiteCatastral.xhtml" >
                <ui:param name="managedBeanParam" value="#{registroDatosPS}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Descripción depuración geográfica" widgetVar="descripcionDepuracionGeograficalWV"
                  dynamic="true" modal="true" appendToBody="true" resizable="true"
                  position="center" height="320" width="480">
            <ui:include src="descripcionDepuracionGeografica.xhtml" >
                <ui:param name="managedBeanParam" value="#{registroDatosPS}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Certificado catastral especial" widgetVar="certificadoCatastralEspecialWV"
                  dynamic="true" modal="true" appendToBody="true" resizable="true"
                  position="center" height="480" width="880" closable="false">
            <ui:include src="certificadoCatastralEspecial.xhtml" >
                <ui:param name="managedBeanParam" value="#{registroDatosPS}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Certificados catastrales" widgetVar="destinoCertificadosCatastralesWV"
                  dynamic="true" modal="true" appendToBody="true" resizable="true" 
                  position="center" height="240" width="480" closable="false">
            <ui:include src="destinoCertificadosCatastrales.xhtml" >
                <ui:param name="managedBeanParam" value="#{registroDatosPS}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Editar resoluciones"
                  widgetVar="editarResolucionesWV" width="920" height="440"
                  appendToBody="true" modal="true">
            <ui:include src="editarResolucionesProductos.xhtml">
                <ui:param name="managedBeanParam" value="#{registroDatosPS}" />
                <ui:param name="resolucionParam"
                          value="#{managedBeanParam.productoCatastralDetalleSeleccionado}" />
            </ui:include>
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC" />

        <!-- Dialog usado para habilitar el tab de origen del predio -->
        <predio:detallesPredioCC id="dpCC2" thisWVName="detallePredioWV2"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC2" />

    </ui:define>
</ui:composition>